import { _ as d, d as r, c as m, x as l, W as t, af as i, f as c, o as p, a, q as u, X as f, C as b, n as y } from "./main-e6123302.mjs";
const _ = r({
  props: {
    isVisible: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["closeModal"],
  setup(e, { emit: o }) {
    return {
      closeModal: () => {
        o("closeModal");
      }
    };
  }
}), w = {
  key: 0,
  class: "modal-wrapper"
}, M = { class: "bg-white modal-content-cont overflow-y-auto relative md:mx-auto md:w-1/2 my-0 md:my-auto w-full" };
function C(e, o, n, v, g, k) {
  return e.isVisible ? (p(), m("main", w, [
    l(i, { name: "modal-anim" }, {
      default: t(() => [
        a("section", {
          class: y([{ "modal-active": e.isVisible }, "fixed flex flex-col h-auto items-end justify-end inset-x-0 inset-y-0 z-50"]),
          role: "navigation",
          "aria-label": "Global Modal"
        }, [
          a("label", {
            onClick: o[0] || (o[0] = (...s) => e.closeModal && e.closeModal(...s)),
            class: "background-blur bg-black fixed full-height full-width modal-backdrop modal-cont opacity-50 inset-x-0 inset-y-0"
          }),
          l(i, { name: "modal-content-anim" }, {
            default: t(() => [
              u(a("section", M, [
                a("label", {
                  onClick: o[1] || (o[1] = (...s) => e.closeModal && e.closeModal(...s)),
                  class: "absolute fa-times fas right-0 top-0 px-4 py-3 cursor-pointer text-grey",
                  "aria-label": "Close"
                }),
                b(e.$slots, "default", {}, () => [
                  o[2] || (o[2] = a("h1", { class: "my-8" }, "modal window", -1))
                ], !0)
              ], 512), [
                [f, e.isVisible]
              ])
            ]),
            _: 3
          })
        ], 2)
      ]),
      _: 3
    })
  ])) : c("", !0);
}
const x = /* @__PURE__ */ d(_, [["render", C], ["__scopeId", "data-v-2748ae5b"]]);
export {
  x as default
};
